namespace View_by_Distance.Shared.Models.Stateless.Methods;

public interface IPerson
{

    // ...

    string TestStatic_GetFileFullName(Properties.IStorage storage, string personBirthdayFormat, Models.Person person) =>
        GetFileFullName(storage, personBirthdayFormat, person);
    static string GetFileFullName(Properties.IStorage storage, string personBirthdayFormat, Models.Person person) =>
        PersonBirthday.GetFileFullName(storage, personBirthdayFormat, person.Birthday);

    Models.Person TestStatic_GetPerson(string resultAllInOne, long personKey, Models.PersonBirthday personBirthday) =>
        GetPerson(resultAllInOne, personKey, personBirthday);
    static Models.Person GetPerson(string resultAllInOne, long personKey, Models.PersonBirthday personBirthday) =>
        Person.GetPerson(personKey, personBirthday, new string[] { resultAllInOne });

    Models.Person TestStatic_GetPerson(long personKey, string[] segments) =>
        GetPerson(personKey, segments);
    static Models.Person GetPerson(long personKey, string[] segments) =>
        Person.GetPerson(personKey, IPersonBirthday.GetPersonBirthday(personKey), segments);

}